#version 130

uniform sampler2D texture;
uniform float time = 1.0;

void main()
{
    vec2 coord=gl_TexCoord[0].xy;
    vec4 color = gl_Color;
    coord.s += sin(coord.t*2 + time)*0.005;
    coord.t += cos(coord.s*3 + time)*0.005;

    gl_FragColor = texture2D(texture, coord) * color;
}
